%define oname   pkg-config

Name:       ruby-%{oname}
Version:    1.5.8
Release:    %mkrel 1
Summary:    A pkg-config implementation by Ruby
Group:      Development/Ruby
License:    LGPLv2+
URL:        https://github.com/rcairo/pkg-config
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rubyforge)
BuildArch:  noarch

%description
A pkg-config implementation by Ruby

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Wed Dec 04 2024 pterjan <pterjan> 1.5.8-1.mga10
+ Revision: 2121019
- Update to 1.5.8

* Mon Apr 08 2024 pterjan <pterjan> 1.5.6-1.mga10
+ Revision: 2055569
- Update to 1.5.6

* Mon Aug 15 2022 pterjan <pterjan> 1.4.9-1.mga9
+ Revision: 1877739
- Update to 1.4.9

* Sat Mar 26 2022 umeabot <umeabot> 1.4.1-2.mga9
+ Revision: 1827921
- Mageia 9 Mass Rebuild

* Tue Mar 03 2020 pterjan <pterjan> 1.4.1-1.mga8
+ Revision: 1553216
- Update to 1.4.1

* Sat Feb 15 2020 umeabot <umeabot> 1.3.7-2.mga8
+ Revision: 1527003
- Mageia 8 Mass Rebuild

* Tue Jul 09 2019 pterjan <pterjan> 1.3.7-1.mga8
+ Revision: 1419686
- Update to 1.3.7

* Sun Nov 04 2018 pterjan <pterjan> 1.3.2-1.mga7
+ Revision: 1328218
- Update to 1.3.2

* Fri Sep 21 2018 umeabot <umeabot> 1.3.1-2.mga7
+ Revision: 1291195
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 pterjan <pterjan> 1.3.1-1.mga7
+ Revision: 1223603
- Update to 1.3.1

* Mon Apr 23 2018 pterjan <pterjan> 1.3.0-1.mga7
+ Revision: 1221890
- Update to 1.3.0

* Sun Apr 01 2018 pterjan <pterjan> 1.2.9-1.mga7
+ Revision: 1214329
- Update to 1.2.9

* Sun Aug 20 2017 pterjan <pterjan> 1.2.7-1.mga7
+ Revision: 1142159
- Update to 1.2.7

* Tue Aug 15 2017 pterjan <pterjan> 1.2.6-1.mga7
+ Revision: 1141057
- Update to 1.2.6

* Sun Mar 13 2016 pterjan <pterjan> 1.1.7-1.mga6
+ Revision: 989770
- Update to 1.1.7

* Sun Jan 10 2016 pterjan <pterjan> 1.1.6-2.mga6
+ Revision: 921101
- Update file list

* Tue Oct 27 2015 pterjan <pterjan> 1.1.6-1.mga6
+ Revision: 895666
- Update to 1.1.6

* Wed Oct 15 2014 umeabot <umeabot> 1.1.5-3.mga5
+ Revision: 746532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.5-2.mga5
+ Revision: 688903
- Mageia 5 Mass Rebuild

* Mon May 05 2014 pterjan <pterjan> 1.1.5-1.mga5
+ Revision: 620139
- 1.1.5

* Sat Dec 28 2013 pterjan <pterjan> 1.1.4-5.mga4
+ Revision: 562116
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.1.4-4.mga4
+ Revision: 561533
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-3.mga4
+ Revision: 535874
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.1.4-2.mga4
+ Revision: 482768
- update file list
- rebuild for ruby 2.0

* Sun Jun 09 2013 fwang <fwang> 1.1.4-1.mga4
+ Revision: 441116
- update file list
- new version 1.1.4

* Fri Feb 08 2013 umeabot <umeabot> 1.1.3-5.mga3
+ Revision: 396249
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.3-4.mga3
+ Revision: 381222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.3-3.mga3
+ Revision: 312118
- drop invalid req

* Thu Nov 01 2012 fwang <fwang> 1.1.3-2.mga3
+ Revision: 312007
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 1.1.3-1.mga3
+ Revision: 256972
- Fix license tag
- New version
- Spec cleanup

* Sat Apr 09 2011 shikamaru <shikamaru> 1.1.0-1.mga1
+ Revision: 82586
- new version 1.1.0

* Tue Feb 08 2011 shikamaru <shikamaru> 1.0.8-1.mga1
+ Revision: 48926
- imported package ruby-pkg-config

